<template>
  <div class="echart36_box">
    <div id="echart36"></div>
  </div>
</template>

<script>
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return {};
  },
  mounted() {
    this.lineChart();
  },
  //方法集合
  methods: {
    lineChart() {
      let option = {
        title: {
          text: "各项目人员分配",
          textStyle: {
            color: "#fff",
          },
        },
        tooltip: {
          trigger: "item",
        },
        visualMap: {
          show: false,
          min: 0,
          max: 90,
          inRange: {
            colorLightness: [0, 1],
          },
        },
        series: [
          {
            name: "各项目人员分配",
            type: "pie",
            radius: "55%",
            center: ["50%", "50%"],
            data: [
              { value: 80, name: "中俄东线管道工程南段" },
              { value: 70, name: "中俄东线管道工程中段" },
              { value: 15, name: "广州站" },
              { value: 30, name: "唐山LNG" },
              { value: 15, name: "新疆连木沁站场" },
              { value: 35, name: "中缅天然气管道风险排查航空摄影测量" },
            ].sort(function (a, b) {
              return a.value - b.value;
            }),
            roseType: "radius",
            label: {
              color: "rgba(255, 255, 255, 0.8)",
            },
            labelLine: {
              lineStyle: {
                color: "rgba(255, 255, 255, 0.8)",
              },
              smooth: 0.2,
              length: 10,
              length2: 20,
            },
            itemStyle: {
              color: "#c23531",
              shadowBlur: 200,
              shadowColor: "rgba(0, 0, 0, 0.5)",
            },
            animationType: "scale",
            animationEasing: "elasticOut",
            animationDelay: function (idx) {
              return Math.random() * 200;
            },
          },
        ],
      };
      let myChart = this.$echarts.init(document.getElementById("echart36"));
      myChart.setOption(option);
      window.addEventListener("resize", function () {
        myChart.resize();
      });
    },
  },
  created() {},
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.echart36_box {
  padding: 20px;
  // background: rgba(0, 0, 0, 0.6);
}
#echart36 {
  width: 100%;
  height: 100%;
}
</style>
